Package org.eclipse.emf.cdo.spi.server

## Interface InternalQueryResult

- All Superinterfaces:
    `BlockingCloseableIterator<java.lang.Object>`, `org.eclipse.net4j.util.collection.Closeable`, `org.eclipse.net4j.util.collection.CloseableIterator<java.lang.Object>`, `java.util.Iterator<java.lang.Object>`

      public interface InternalQueryResult
      extends BlockingCloseableIterator<java.lang.Object>

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getQueryID()` |
    `CDOQueryInfo` | `getQueryInfo()` |
    `CDOQueryQueue<java.lang.Object>` | `getQueue()` |
    `InternalView` | `getView()` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.util.BlockingCloseableIterator

      `peek`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

- - ### Method Detail

    - #### getQueryID

          int getQueryID()

    - #### getQueryInfo

          CDOQueryInfo getQueryInfo()

    - #### getView

          InternalView getView()

    - #### getQueue

          CDOQueryQueue<java.lang.Object> getQueue()